package com.dgtly.wxportal.mapper;

import com.dgtly.wxportal.domain.WxSendMessage;
import java.util.List;

/**
 * 企业微信发送消息历史记录Mapper接口
 * 
 * @author qxp
 * @date 2020-09-02
 */
public interface WxSendMessageMapper 
{
    /**
     * 查询企业微信发送消息历史记录
     * 
     * @param id 企业微信发送消息历史记录ID
     * @return 企业微信发送消息历史记录
     */
    public WxSendMessage selectWxSendMessageById(Long id);

    /**
     * 查询企业微信发送消息历史记录列表
     * 
     * @param wxSendMessage 企业微信发送消息历史记录
     * @return 企业微信发送消息历史记录集合
     */
    public List<WxSendMessage> selectWxSendMessageList(WxSendMessage wxSendMessage);

    /**
     * 新增企业微信发送消息历史记录
     * 
     * @param wxSendMessage 企业微信发送消息历史记录
     * @return 结果
     */
    public int insertWxSendMessage(WxSendMessage wxSendMessage);

    /**
     * 修改企业微信发送消息历史记录
     * 
     * @param wxSendMessage 企业微信发送消息历史记录
     * @return 结果
     */
    public int updateWxSendMessage(WxSendMessage wxSendMessage);

    /**
     * 删除企业微信发送消息历史记录
     * 
     * @param id 企业微信发送消息历史记录ID
     * @return 结果
     */
    public int deleteWxSendMessageById(Long id);

    /**
     * 批量删除企业微信发送消息历史记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWxSendMessageByIds(String[] ids);

    public int bathInsertWxSendMessage(List<WxSendMessage> wmList);
}
